Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCParam

    java.lang.Object
      |
      +--org.apache.axis.message.RPCParam

All Implemented Interfaces:
  java.io.Serializable

public class RPCParam
extends java.lang.Object
implements java.io.Serializable

An RPC parameter

Author:
  Glen Daniels (gdaniels@macromedia.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`RPCParam(QName qname, java.lang.Object value)`
`RPCParam(java.lang.String name, java.lang.Object value)` Constructor for building up messages.
`RPCParam(java.lang.String namespace, java.lang.String name, java.lang.Object value)`

Method Summary
`java.lang.String` | `getName()`
`ParameterDesc` | `getParamDesc()`
`QName` | `getQName()`
`java.lang.Object` | `getValue()`
`static java.lang.reflect.Method` | `getValueSetMethod()`
`java.lang.Boolean` | `getXSITypeGeneration()`
`void` | `serialize(SerializationContext context)`
`void` | `set(java.lang.Object newValue)` This set method is registered during deserialization to set the deserialized value.
`void` | `setParamDesc(ParameterDesc paramDesc)`
`void` | `setRPCCall(RPCElement call)`
`void` | `setValue(java.lang.Object value)`
`void` | `setXSITypeGeneration(java.lang.Boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### RPCParam

    public RPCParam(java.lang.String name,
                    java.lang.Object value)

  Constructor for building up messages.

### RPCParam

    public RPCParam(QName qname,
                    java.lang.Object value)

### RPCParam

    public RPCParam(java.lang.String namespace,
                    java.lang.String name,
                    java.lang.Object value)

Method Detail

### setRPCCall

    public void setRPCCall(RPCElement call)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### set

    public void set(java.lang.Object newValue)

  This set method is registered during deserialization to set the deserialized value. If the method is called multiple times, the value is automatically changed into a container to hold all of the values.
  Parameters:
    `newValue` - is the deserialized object

### getName

    public java.lang.String getName()

### getQName

    public QName getQName()

### getValueSetMethod

    public static java.lang.reflect.Method getValueSetMethod()

### getParamDesc

    public ParameterDesc getParamDesc()

### setParamDesc

    public void setParamDesc(ParameterDesc paramDesc)

### setXSITypeGeneration

    public void setXSITypeGeneration(java.lang.Boolean value)

### getXSITypeGeneration

    public java.lang.Boolean getXSITypeGeneration()

### serialize

    public void serialize(SerializationContext context)
                   throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.